libzypp 17.37.10

PluginScriptException.h File Reference
`#include <iosfwd>`
`#include <zypp/base/Exception.h>`
`#include <zypp/Pathname.h>`

Go to the source code of this file.

## Classes
class | zypp::PluginScriptException
| Base class for PluginScript Exception. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | declException(EXCP, BASE)
| Convenience macro to declare more specific PluginScriptExceptions.

## Functions
| zypp::declException (PluginScriptNotConnected, PluginScriptException)
| Script connection not open.
| zypp::declException (PluginScriptDiedUnexpectedly, PluginScriptException)
| Script died unexpectedly.
| zypp::declException (PluginScriptTimeout, PluginScriptException)
| Communication timeout.
| zypp::declException (PluginScriptSendTimeout, PluginScriptTimeout)
| Timeout while sending data.
| zypp::declException (PluginScriptReceiveTimeout, PluginScriptTimeout)
| Timeout while receiving data.

## Macro Definition Documentation

## ◆ declException

#define declException | ( |  | EXCP,
|  |  | BASE )

Value:
class ZYPP_API EXCP : public BASE { \
public: \
EXCP() : BASE( #EXCP ) {} \
EXCP( const std::string & msg_r ) : BASE( msg_r ) {} \
EXCP( const std::string & msg_r, const std::string & hist_r ) : BASE( msg_r, hist_r ) {} \
virtual ~EXCP() throw() {} \
}
ZYPP_API
#define ZYPP_API
Definition Globals.h:69

Convenience macro to declare more specific PluginScriptExceptions.

Definition at line 35 of file PluginScriptException.h.